
// import {
//   getToken,
// } from '@/utils/auth'

const getDefaultState = () => {
  return {
    curPath:null,
  }
}

const state = getDefaultState()

const mutations = {
  RESET_STATE: (state) => {
    Object.assign(state, getDefaultState())
  },
  SET_NAV_BAR: (state, path) => {
    state.curPath = path
  },
}

const actions = {

}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
